/* http://www.dustindiaz.com/getelementsbyclass/ */
function getElementsByClass(searchClass,node,tag) {
	var classElements = new Array();
	if ( node == null )
		node = document;
	if ( tag == null )
		tag = '*';
	var els = node.getElementsByTagName(tag);
	var elsLen = els.length;
	var pattern = new RegExp("(^|\\s)"+searchClass+"(\\s|$)");
	for (i = 0, j = 0; i < elsLen; i++) {
		if ( pattern.test(els[i].className) ) {
			classElements[j] = els[i];
			j++;
		}
	}
	return classElements;
}

// SocialSharer module Version 2014.10.07
var socialSharer = {
	init: function() {
		var docTitle = this.sanitize(document.title);
		var docURL = window.location.href;
		docURL = encodeURIComponent(this.sanitize(docURL));

		// Facebook
		var nodeListFacebook = getElementsByClass("ca-gov-icon-share-facebook");
		for(var counterA = 0;counterA < nodeListFacebook.length;counterA++) {
			nodeListFacebook[counterA].onclick = function(){PopupCentered('https://www.facebook.com/sharer/sharer.php?u=' + docURL + '&display=popup','socialsharer','658','450')};
		}

		// Twitter
		var nodeListTwitter = getElementsByClass("ca-gov-icon-share-twitter");
		for(counterA = 0;counterA < nodeListTwitter.length;counterA++) {
			nodeListTwitter[counterA].onclick = function(){PopupCentered('https://twitter.com/intent/tweet?text=' + docTitle + '&url=' + docURL,'socialsharer','568','531')};
		}

		// Google Plus
		var nodeListGooglePlus = getElementsByClass("ca-gov-icon-share-googleplus");
		for(counterA = 0;counterA < nodeListGooglePlus.length;counterA++) {
			nodeListGooglePlus[counterA].onclick = function(){PopupCentered('https://plus.google.com/share?url=' + docURL + '&t=' + docTitle,'socialsharer','550','552')};
		}

		// email
		var nodeListMail = getElementsByClass("ca-gov-icon-share-email");
		for(counterA = 0;counterA < nodeListMail.length;counterA++) {
			nodeListMail[counterA].href = "mailto:?subject=" + docTitle + "&body=%0a" + docURL + "%0a%0a";
		}
	},
	sanitize: function(sText) {
		// Remove html tags from a string
		var re = /<\S[^>]*>/g;
		sText = sText.replace(re, " ");
		return sText;
	}
}

// Display a popup window centered over the parent window. Works in all browsers
// except Opera with multiple displays. Opera displays the popup on the primary
// display only.
function PopupCentered(url, popupName, popupWidth, popupHeight) {
	// screenX/Y for IE9+ FF Op Chrome, screenLeft/Top for IE7 IE8 Chrome, left/top for old FF
	var parentLeft = window.screenX ? window.screenX : window.screenLeft ? window.screenLeft : screen.left ? screen.left : 0;
	var parentTop = window.screenY ? window.screenY : window.screenTop ? window.screenTop : screen.top ? screen.top : 0;
	
	var parentWidth = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
	var parentHeight = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;

	var popupLeft = (parentWidth / 2) - (popupWidth / 2) + parentLeft;
	var popupTop = (parentHeight / 2) - (popupHeight / 2) + parentTop;

	window.open(url, popupName, 'scrollbars=yes, width=' + popupWidth + ', height=' + popupHeight + ', left=' + popupLeft + ', top=' + popupTop);
}

$(document).ready(function(){
	socialSharer.init();
});